[ubuntu/oneiric] lcdproc 0.5.4-6 (Accepted)

Jean-Louis Dupond jean-louis at dupond.be
Wed Jul 27 14:46:46 UTC 2011


lcdproc (0.5.4-6) unstable; urgency=low

  * debian/control: added build-depends on automake

lcdproc (0.5.4-5) unstable; urgency=low

  * debian/compat: bumped to 8
  * debian/control:
    + depends on debhelper >= 8
    - Architecture: support all os except hurd
  * debian/rules:
    + Added option '--with autotools-dev' to dh call (handles
      config.guess and config.sub).
    + Runs debian/autogen.sh before running configure
    + build and install svgsa.so only if /usr/lib/libvga.so* is
      present on the build system
    - removed some cruft.
  * debian/autogen.sh: new file copied from libautotools-dev
  * debian/clean: remove all files generated by autogen.sh
  * debian/lcdproc-extra-drivers.install: removed svga.so (now
    handled by debian/rules)
  * debian/patches: renamed to remove package name and version
    from patch names
  * debian/source/options: added extend-diff-ignore to ignore files
    generated by autogen.sh
  * debian/copyright: added copyright for debian/autogen.sh

lcdproc (0.5.4-4) unstable; urgency=low

  * control:
    - added vcs-git and vcs-browser fields.
    - Cleaned up with Config::Model's config-edit.
    - Set architecture to any to build also armhf.
    - build-depend on libsvga1-dev [ i386 amd64 ]
  * imported dont_eat_characters.patch (Closes: #580378) (Nick
    Leverton)

lcdproc (0.5.4-2) unstable; urgency=low

  [ Dominique Dumont ]

  * New upstream release
    Closes: #614621, #505756, #578166, #531863
  * control: switch to Standard-Version 3.9.1.
    Removed dependency on quilt, doxygen and libirman-dev.
    Removed Tag line out of Description (Closes: #488290)
  * copyright: updated to DEP5 format
  * source/format: now 3.0 (quilt)
  * rules: removed --with quilt. Removed irman driver (cannot compile
    because libirman.a is not relocatable)
  * install: no longer install test client scripts nor INSTALL file

  [ Nick Leverton ]

  * Add pkg-config to Build-Depends (Closes: #579059)
  * Convert to quilt patch system
  * Update debian/rules to use dh build system and debhelper 7
  * Add autotools-dev to Build-Depends for config.{guess,sub}
  * Use upstream man pages where they exist, instead of older Debian ones
  * Remove unused gentoo patch from 0.4.3 (Closes: #533177)
  * New lcdproc-extra-drivers package for drivers which need extra libs:
    picolcd (Closes: #536076), g15 (Closes: #578166), lirc (Closes: #407650).
  * Fix remaining lintian issues (patch lcdproc-0.5.3-debian-spelling.diff
    and Build-Depends on autotools-dev).

Date: Wed,  27 Jul 2011 14:39:55 +0000
Changed-By: Jean-Louis Dupond <jean-louis at dupond.be>
Maintainer: Dominique Dumont <domi.dumont at free.fr>
Origin: Debian/unstable
https://launchpad.net/ubuntu/oneiric/+source/lcdproc/0.5.4-6
-------------- next part --------------
Origin: Debian/unstable
Format: 1.7
Date: Wed,  27 Jul 2011 14:39:55 +0000
Source: lcdproc
Binary: lcdproc, lcdproc-extra-drivers, lcdproc-dbg
Architecture: source
Version: 0.5.4-6
Distribution: oneiric
Urgency: low
Maintainer: Dominique Dumont <domi.dumont at free.fr>
Changed-By: Jean-Louis Dupond <jean-louis at dupond.be>
Description:
 lcdproc    - LCD display driver daemon and clients
Closes: 407650 488290 505756 531863 533177 536076 578166 578166 579059 580378 614621
Files:
 4e5a03c53fb4632ea5890c25b4d189a6 2238 utils extra lcdproc_0.5.4-6.dsc
 027dd354fee24e0d2611ec044693f8d9 13493 utils extra lcdproc_0.5.4-6.debian.tar.gz
 4d075c3928e84a90bfccf07313b13721 944628 utils extra lcdproc_0.5.4.orig.tar.gz
Changes:
 lcdproc (0.5.4-6) unstable; urgency=low
 .
   * debian/control: added build-depends on automake
 .
 lcdproc (0.5.4-5) unstable; urgency=low
 .
   * debian/compat: bumped to 8
   * debian/control:
     + depends on debhelper >= 8
     - Architecture: support all os except hurd
   * debian/rules:
     + Added option '--with autotools-dev' to dh call (handles
       config.guess and config.sub).
     + Runs debian/autogen.sh before running configure
     + build and install svgsa.so only if /usr/lib/libvga.so* is
       present on the build system
     - removed some cruft.
   * debian/autogen.sh: new file copied from libautotools-dev
   * debian/clean: remove all files generated by autogen.sh
   * debian/lcdproc-extra-drivers.install: removed svga.so (now
     handled by debian/rules)
   * debian/patches: renamed to remove package name and version
     from patch names
   * debian/source/options: added extend-diff-ignore to ignore files
     generated by autogen.sh
   * debian/copyright: added copyright for debian/autogen.sh
 .
 lcdproc (0.5.4-4) unstable; urgency=low
 .
   * control:
     - added vcs-git and vcs-browser fields.
     - Cleaned up with Config::Model's config-edit.
     - Set architecture to any to build also armhf.
     - build-depend on libsvga1-dev [ i386 amd64 ]
   * imported dont_eat_characters.patch (Closes: #580378) (Nick
     Leverton)
 .
 lcdproc (0.5.4-2) unstable; urgency=low
 .
   [ Dominique Dumont ]
 .
   * New upstream release
     Closes: #614621, #505756, #578166, #531863
   * control: switch to Standard-Version 3.9.1.
     Removed dependency on quilt, doxygen and libirman-dev.
     Removed Tag line out of Description (Closes: #488290)
   * copyright: updated to DEP5 format
   * source/format: now 3.0 (quilt)
   * rules: removed --with quilt. Removed irman driver (cannot compile
     because libirman.a is not relocatable)
   * install: no longer install test client scripts nor INSTALL file
 .
   [ Nick Leverton ]
 .
   * Add pkg-config to Build-Depends (Closes: #579059)
   * Convert to quilt patch system
   * Update debian/rules to use dh build system and debhelper 7
   * Add autotools-dev to Build-Depends for config.{guess,sub}
   * Use upstream man pages where they exist, instead of older Debian ones
   * Remove unused gentoo patch from 0.4.3 (Closes: #533177)
   * New lcdproc-extra-drivers package for drivers which need extra libs:
     picolcd (Closes: #536076), g15 (Closes: #578166), lirc (Closes: #407650).
   * Fix remaining lintian issues (patch lcdproc-0.5.3-debian-spelling.diff
     and Build-Depends on autotools-dev).



More information about the Oneiric-changes mailing list